GDB (xrefs)

Public Attributes | List of all members
sal_smob Struct Reference

## Public Attributes
gdb_smob | base
SCM | symtab_scm
struct symtab_and_line | sal

## Detailed Description

Definition at line 53 of file scm-symtab.c.

## Member Data Documentation

## ◆ base

gdb_smob sal_smob::base

Definition at line 56 of file scm-symtab.c.

## ◆ sal

struct symtab_and_line sal_smob::sal

Definition at line 69 of file scm-symtab.c.

Referenced by gdbscm_sal_last(), gdbscm_sal_line(), gdbscm_sal_pc(), stscm_make_sal_smob(), stscm_print_sal_smob(), and stscm_scm_from_sal().

## ◆ symtab_scm

SCM sal_smob::symtab_scm

Definition at line 62 of file scm-symtab.c.

Referenced by gdbscm_sal_symtab(), stscm_make_sal_smob(), stscm_print_sal_smob(), stscm_sal_is_valid(), and stscm_scm_from_sal().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-symtab.c